Package org.drinkless.tdlib

# Class TdApi.MessagePoll

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePoll

Enclosing class:
  `TdApi`

public static class TdApi.MessagePoll extends TdApi.MessageContent
A message with a poll.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canAddOption`
  True, if an option can be added to the poll using addPollOption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `description`
  Description of the poll.
  `TdApi.MessageContent`
  `media`
  Media attached to the poll; may be null if none.
  `TdApi.Poll`
  `poll`
  Information about the poll.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePoll()`
  A message with a poll.
  `MessagePoll(TdApi.Poll poll, TdApi.FormattedText description, TdApi.MessageContent media, boolean canAddOption)`
  A message with a poll.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### poll

    public TdApi.Poll poll
    Information about the poll.

  - ### description

    public TdApi.FormattedText description
    Description of the poll.

  - ### media

    @Nullable public TdApi.MessageContent media
    Media attached to the poll; may be null if none. If present, currently, can be only of the types messageAnimation, messageAudio, messageDocument, messageLocation, messagePhoto, messageVenue, or messageVideo without caption.

  - ### canAddOption

    public boolean canAddOption
    True, if an option can be added to the poll using addPollOption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePoll

    public MessagePoll()
    A message with a poll.

  - ### MessagePoll

    public MessagePoll(TdApi.Poll poll, TdApi.FormattedText description, TdApi.MessageContent media, boolean canAddOption)
    A message with a poll.
    Parameters:
      `poll` - Information about the poll.
      `description` - Description of the poll.
      `media` - Media attached to the poll; may be null if none. If present, currently, can be only of the types messageAnimation, messageAudio, messageDocument, messageLocation, messagePhoto, messageVenue, or messageVideo without caption.
      `canAddOption` - True, if an option can be added to the poll using addPollOption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR